AutoCAD 2013 :: Enter G Code To End With Result Of 2D Drawing
Apr 4, 2013
Is there any possible way to enter a G Code into AutoCAD to end with the result of a 2D drawing of what my CNC has made? I have the code from the machine, and am not sure how to input it into the program to draw the face the CNC has cut out.
After a recent crash civil 3d now asks me to type in the full path and file name for a file i want to open after selecting the open option on the menu or toolbar.i know there is a variable that requires re setting but i don't know how.
The message "Enter drawing number" appears at the bottom reading panel when File, Open are selected. After that the whole screen and commands are unresponsive until "Enter drawing number" message is cancelled.
I've always used the spacebar as Enter, it speeds up the way i work.I've just load 2013 and i'm using the Drafting & Annotation workspace, now when i use the spacebar it jumps to another command, i have to use the enter key to get it to do what i want.For example.
Type H, (spacebar), S, (Spacebar).
This should be - Hatch > Select,
instead i get 'Hatch' then it cancels the hatch commands and jumps to 'Stretch'
Okay so is there anyway to enter the whole equation of an ellipse into autocad and it will map it? ex x^2/a^2+y^2/b^2+z^2/c^2=1 with different values for x y z a b c. I want to generate different ellipses and then loft them together?I just want one the starts with the basics and goes all the way to the move advance stuff.
I am using 2012 and i would like to enter my dimensions in imperial into a metric drawing with autocad doing an automatic conversion. So let's say i write this:
12'-8-1/2"
Autocad has to take it like that into the metric drawing then, he has to convert this to 3873.5 mm. Is there a code i can put into some autocad file to make this software work like that?
i have a drawing boarder that is a block with enter-able text fields for drawing revision etc but for some reason the order in which you would enter the rev's 1,2,3, etc is the wrong way round in the enhanced attribute box. So when i click and start typing i end up with 3,2,1 in the rev boxes.
I have this vba code that created in 2009 autocad 32 bit environment. I am fixing it so it will work for the 2013 autocad civil 3D 2013 64 bit environment.
The code work fine in the old vision but keep on crushing in the new one . I fixed the references and also move up the search path to the top, but it showing compile errors or runtime errors like the following.
if you ignore that error and run it agin it will go to the next step and show you another errors. after a few rerun it will give the result.I try fix it with an older vision library of autocad 2009 and 2012 both gives an run time error message.
I need some VBA code that will allow me to get the Filename from the border of a drawing. I've got code to get to the text of the filename, but I need to get the filename itself. Hope that males sense. Here's the
Public Sub GetModelFilename() Dim oDoc As DrawingDocument Set oDoc = ThisApplication.ActiveDocument
[Code]...
What the code returns is the text <FILENAME>. What I need is the filename itself.
We have about 1000 drawings with VBA code that copies information from the title block into the drawing file custom properties. We have done this to get the information into a ACAD block to meet our clients requirements. It is an autosave routine so it runs whenever the file is saved in Inventor. We would like to make a change to the VBA code so we need to replace the autosave routine in the file with another.
Manual steps are:
Open the file
Enter VBA editor
Delete the autosave routine (without exporting)
Import the new autosave routine
Exit the VBA editor
Save and close the file
I'm sure we would write a routine to do this. However the effort from scratch may be more that just manually processing the files.
I need simple code to do just one thing, inserting a dynamic block that is stored in a separate file on my computer (like C:/base/b-22) in the drawing that I'm currently using. For example, I have a windows form with a list box with names of many dynamic blocks that are stored on my c drive, I would like to pick a block with a name and upon a click event of a button or other will go get this block from a separate file and insert it in the drawing I'm currently using, and would need to be able to pick the point of where I want the block to go. I'm using autocad 2010 with visual studio 2008- using the new autocad .net language.
I have been using a dialog box with checkboxes for creating layers for the past 5 years now with minimal problems. I don't know much about VBA code, but when there is a problem, I can usually figure out what is going on, which is generally a typo the causes it to error. The code was created by an employee that left the company about 3 months after I started.
After installing acad 2013 and the VBA enabler this code only partially works. It will create the layer in the drawings, but will not set the color, linetype or the description. When I click on the checkbox for any of the layer checkboxes I get a "Run-time error '13': Type mismatch" error. I click on the "Debug" button which opens VBA, the "This Drawing.Layers.Add" line in the below code is highlighted.
As a troubleshooting effort, I tried retyping the ".Color" line, when I had typed out "m_refg_pipe_n." a drop-down box appears, but "Color" is not an option anymore. The only color option in the list is TrueColor, which we do not use. In the next line of the below code, "Description" is an option. So I am guessing that the ".Color" line of code is the problem.
Private Sub CheckBox101_Click() Dim m_refg_pipe_n As AcadLayer Set m_refg_pipe_n = ThisDrawing.Layers.Add("m-refg-pipe-n") m_refg_pipe_n.Color = acGreen m_refg_pipe_n.Linetype = "Hidden" m_refg_pipe_n.Description = "MN - Refrigerant Piping" End Sub
I am upgrading the AutoCAD 2009 X 32 systems to the 2013 X64, and I have this vab code that won't work on the new system. I try to move the search path that contain the file up to the top and also got all the missing libraries, but the code still won't work.When I run the code it will give me error message like: compile error:
Function or interface marked as restricted, or the function uses an Automation type not supported in Visual Basic. The code work perfectly without any error on the old system so I sure the code is causing this error.
I have found some code which extracts the part number from the iproperties of a model and adds it to the custom iproperties of a drawing but this will only work on iam or ipt files.
Here's the code, I added the lines referring to the docment type as an attempt to fix the error but it didn't work...
If (ThisDrawing.ModelDocument Is Nothing) Then ReturnIf ThisDrawing.ModelDocument.DocumentType = kPresentationDocumentObject Then modelName = IO.Path.GetFileName(ThisDrawing.ModelDocument.FullFileName)End IfIf
I am building a custom batch update for our drawings to take border definitions as well as custom iproperties from a current template and push them into a specified inventor dwg file. I built a form for the users to select the template they want to import into a list of files they place in the form. The program opens the template, get's all the information (iproperties, border defs, etc... using the active document to get the document) then iterates through the list of the users doing the following for each file (also getting the active document to get the items in each file): open, replace border definition, insert any non-existent custom iproperties, save and close the file. It works great when I keep the open visible set to true for the files. When I switch the visible property to false for each one of the files I want to open I get an error similar to this: Systems.InvalidCastException: Unable to cast object of type 'Inventor._DocumentClass' to type 'Inventor._DrawingDocument'. at ---- then my button click event here.
Does inventor technically not see a document as an active document if the file is not visible when opened?
if I select a line, then enter the move command, the line unselects also when I select a line, then hit delete, the line is still there both of these used to work
I am copying chunks of code from the My First Plugin tutorial and am using the code that opens Inventor to start the form. I have both Inventor 2012 and 2013 installed on my system. I have gone in to the properties and changed the .dll reference file to read out of the bin/PublicAssemblies folder in 2013, however, when I run my Windows Form, it will open Inventor 2012 instead.
I have a couple of VB pieces of code that set up the standards of my company. What I want to do create a button in my Workspace -within a tab created by me with the CUI tools- and trigger my VB code.
How to change the color of layer that will be used within a drawing files for special purposes.
Ideally the code will make the color Red, but change to Black prior to printing.
The "logic" behind the code currently is to differentiate a layer called "Burn" to a highly visible color for the purpose of review by others then, prior to printing, change the color to Black. The firm I'm currently working for uses gray-scale B sided printers only. The firm currently uses Blue for dimension and extension lines so to produce drawings that portray both type of objects "lightly".
At my company we use part numbers as file names for everything. for example, part number 09090P00100000, will be saved as 09090P00100000.ipt and will have a drawing saved as 09090P00100000.idw.
Within the drawing template file, i want to set up an ilogic rule that will check that the part present in the drawing corresponds to the file name of the drawing. This rule will run after saving and will just display a warning if the file names do not correspond.
I just need some code that will get the file name of the part displayed in the drawing. Note that we use iparts so the code must get the member file name and not the factory file name.
Dim oDrawingDoc As DrawingDocument oDrawingDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet oSheet = oDrawingDoc.ActiveSheet
[Code] ........
Autodesk Inventor Professional 2011 Windows 7 Enterprise, 64-bit
Recently upgraded to Civil 3D 2013 and drawings opened up fine. Now today any drawing that opens shows the plan view as last saved but then after loading takes the drawing and shifts it into a 3d view similar to a crossection. Is there a setting somewhere that has been changed? I noticed after a windows 7 update was preformed.
I have this heavy issue, i can't send to back a line, an object or a hatch under other lines. In 2012 i used this feature a lot but in 2013 it's not working very much, maybe 1 time out of 10 and i absolutely can't say why.
HPDRAWORDER = 1 seems to work with a new hatch.. but i can't redraw everything.
Let's say i put an entire floor plan into block then draw over it. (I don't want to start a Xref discussion please) i can't send the entire bloc to the back.I used to do that with 2012, 2008, 2007.. but it's 2013 it's not working, is there a way to correct that?
I recently added 2 monitors to my set up to bring my total to 3. I am trying to figure out the best way to work on one drawing, with 2 differant veiws on each of the 2 main screens.
I would like my main screen to have the plan view and the second monitor to have an isometric veiw (or whatever I need at the time) of the same drawing. Is there a way to have the same drawing opened up in another window, in one session of Autocad 2013. One on the main screen and one on the secondary.
As many of us seam to do the option to save by default to an older version of AutoCAD or universal DXF format is selected, my problem is however when you save an existing drawing a prompt appears asking if 'Drawing*.dxf last saved in AutoCAD 2004 format. Save in AutoCAD 2013 Drawing format?' this has annoyed me for years!
I have set it as default DXF 2014 for a good reason I don’t want a prompt asking me if I want to then save it as 2013 or I would have set it like that on my default setting, gets on your nerves when you are doing 100's of files.
Win7 64 Pro - Asus P8P67 PRO - i5-2500k CPU O/C@4.5Ghz- OCZ Vertex 2 SSD - 8GB Ram - GTX550 Ti - SpaceExplorer.